cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephen McConnell" <mcconn...@apache.org>
Subject RE: [VOTE] Remove excalibur instrumentation support from 2.2
Date Sun, 24 Oct 2004 14:56:32 GMT


> -----Original Message-----
> From: Giacomo Pati [mailto:giacomo@apache.org]
> Sent: 24 October 2004 15:45
> To: Cocoon-Dev
> Subject: Re: [VOTE] Remove excalibur instrumentation support from 2.2
> 
> On Sun, 24 Oct 2004, Carsten Ziegeler wrote:
> 
> > The ECM++ is now integrated in 2.2 and it seems that most things
> > are running again - even simple XSP pages (haven't tested more yet).
> >
> > Now, as I mentioned earlier, one idea of ECM++ is to support only
those
> > interfaces/features that we really need.
> >
> > One candidate in this category is obviously the instrumentation
> > support - the current version of ECM++ doesn't support it.
> >
> > I think we should remove the support for excalibur instrumentation
> > completly from our 2.2 code base, because:
> > - only one single class in our whole repository is using
instrumentation
> >  (the continuation manager)
> 
> People havn't got the benefits.
> 
> > - instrumentation can be seen as a proprietary solution that noone
else
> is
> > using
> 
> Not that i know outside the Avalon land, but Avalon-Phoenix did, dunno
> Merlin.

Merlin does not use excalibur-instrumentation for the same reasons
described above.  Instead there is a plugin JMX facility that handles
instrumentation requirements.

Steve.



Mime
View raw message